using Abp.AspNetCore;
using Abp.AspNetCore.Configuration;
using Abp.AutoMapper;
using Abp.Modules;
using Abp.Reflection.Extensions;
using YGNT.Infrastructure;
using YGNT.QuestionLibrary.Core;

namespace YGNT.QuestionLibrary
{
    [DependsOn(
        typeof(QuestionLibraryCoreModule),
        typeof(AbpAspNetCoreModule),
        typeof(InfrastructureModule),
        typeof(AbpAutoMapperModule))]
    public class QuestionLibraryApplicationModule : AbpModule
    {
        public override void PreInitialize()
        {
            Configuration.Modules.AbpAspNetCore()
                .CreateControllersForAppServices(
                    typeof(QuestionLibraryApplicationModule).GetAssembly(),
                    "QuestionLibrary"
                );

        }

        public override void Initialize()
        {
            IocManager.RegisterAssemblyByConvention(typeof(QuestionLibraryApplicationModule).GetAssembly());
        }
    }
}